Puzzle / Developers
API referenceVendors

Get Vendors

GET /company/{id}/vendors

GET/company/{id}/vendors

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

type?string

Value in

  • "Individual"
  • "Business"
  • "Unknown"
status?string

Value in

  • "Active"
  • "Inactive"
  • "Unknown"
permaNames?string|array<string>
is1099Vendor?string

Boolean flag; "true" enables, any other value disables

count?integer
after?string

Response Body

application/json

curl -X GET "https://example.com/company/string/vendors"
{  "items": [    {      "id": "string",      "permaName": "string",      "name": "string",      "is1099Vendor": true,      "description": "string",      "type": "Individual",      "status": "Active"    }  ],  "pageInfo": {    "endCursor": "string",    "hasNextPage": true,    "total": 0  }}

Schema refreshed 2026-11-11T18:57:48.657Z